/**
 * Ein Objekt der Klasse 'Gebiet' enthält die Daten einer Zeile in der Datei 'Einkommen.csv'. Die
 * Klasse besitzt dementsprechend 5 Attribute und die zugehörigen get-Methoden. Wenn in der
 * Datei kein entsprechender Wert vorhanden ist, geben die Methoden 'getGesamtEinkommen'
 * und 'getDurchschnittsEinkommen' den Wert -1 zurück. Die Anzahl der Einwohner ist eine
 * abgeleitete Eigenschaft und wird dementsprechend in der Methode 'getAnzahlEinwohner'
 * berechnet.
 *
 * @author Gubitz, Wöstemeyer, Pfannenstiel, Maier, Vigier :D
 */
public class Gebiet {
    private int jahr;
    private int schlüssel;
    private String name;
    private long gesamtEinkommen;
    private int durchschnittsEinkommen;

    public Gebiet(int jahr, int schlüssel, String name, long gesamtEinkommen, int durchschnittsEinkommen) {
        this.jahr = jahr;
        this.schlüssel = schlüssel;
        this.name = name;
        this.gesamtEinkommen = gesamtEinkommen;
        this.durchschnittsEinkommen = durchschnittsEinkommen;
    }

    public int getJahr() {
        return jahr;
    }

    public int getAnzahlEinwohner(){
        if(getAnzahlEinwohner()== 0){
            return  -1;
        }
        return getAnzahlEinwohner();

    }

    public int getSchlüssel() {
        return schlüssel;
    }

    public String getName() {
        return name;
    }

    public long getGesamtEinkommen() {
        return gesamtEinkommen;
    }

    public int getDurchschnittsEinkommen() {
        return durchschnittsEinkommen;
    }

    @Override
    public String toString() {
        return "Gebiet{" +
                "jahr=" + jahr +
                ", schlüssel=" + schlüssel +
                ", name='" + name + '\'' +
                ", gesamtEinkommen=" + gesamtEinkommen +
                ", durchschnittsEinkommen=" + durchschnittsEinkommen +
                '}';
    }
}
